Summary: Graphical Go client and SGF editor
Name: qgo
Version: 1.0.2
Release: 1%{?dist}
License: GPL
Group: Amusements/Games
URL: http://qgo.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: qgo.desktop
BuildRequires: xorg-x11-devel libjpeg-devel libpng-devel qt-devel
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
qGo is a graphical Go client in which you can play Go against another player,
connect to Go servers on the Internet, or connect with local Go programs
such as Gnu Go. qGo is also a full-featured SGF editor. In addition,
qGo supports loading MGT and Jago XML format Go games.

%prep
%setup -q

%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
%configure
make %{?_smp_mflags}

cp -p %{SOURCE1} templates/qgo.desktop

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--mode 644 \
	--vendor fedora \
	--add-category X-Fedora \
	--add-category Application \
	--add-category Game \
	$RPM_BUILD_ROOT%{_datadir}/applnk/Games/qgo.desktop

rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS COPYING TODO 
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/qGo
%{_datadir}/applications/*qgo.desktop
%{_datadir}/mimelnk/text/sgf.desktop

%changelog
* Tue Jul 05 2005 Chris Ricker <kaboom@oobleck.net> 1.0.2-1
- New upstream release

* Sat Jun 25 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-6
- *really* fix desktop file (BZ#160007)
- fix dist tagging

* Sun Jun 12 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-5
- Fix desktop file (BZ#160007)

* Thu May 26 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-4
- Simplify qt selection

* Tue May 24 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-3
- Add dist tag

* Thu May 19 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-2
- Fix directory ownership

* Thu May 19 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-1
- Initial package
